# encoding: UTF-8
ARGV.each do |file|
  # ISO 639 2-letter language code
  posix_locale_name = file.split('_')[0]
  if !File.directory? "languages_samples"
    `mkdir languages_samples`
  end
  if !File.exist? "languages_samples/#{posix_locale_name}*sentences.txt"
    `tar -xzf #{file} --wildcards '*sentences.txt'`
    `mv #{posix_locale_name}*sentences.txt languages_samples`
  end

  if !File.directory? "ngram_matrices"
    `mkdir ngram_matrices`
  end  	
	if !File.exist? "ngram_matrices/#{posix_locale_name}_matrix"
		`head --bytes=50K languages_samples/#{posix_locale_name}*sentences.txt > sentences.txt`
		`time ./Lingua-Ident-1.7/trainlid #{posix_locale_name} < sentences.txt > #{posix_locale_name}_matrix`
    `mv #{posix_locale_name}_matrix ngram_matrices`
		puts "\n"
	end
end

if File.exist? "sentences.txt"
  `rm sentences.txt`
end